Application: gvSIG desktop - gvSIG bugs #125
Console error when saving project.
12/23/2011 02:14 PM - Anonymous

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Application

Target version: 2.0.0-devel-2050

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2042 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name:

Description

My project has 4 views, with vector and raster data.

| attach a .zip with:

- printscreen of the console error
- log file

- .gvsproj file saved.

History

#1 - 01/19/2012 12:02 AM - Joaquin del Cerro Murciano
- Assignee set to Cesar Ordifiana

- Target version set to 2.0.0-alpha4

- Add-on name deleted (unknown)

#2 - 02/01/2012 02:37 PM - Joaquin del Cerro Murciano
- Assignee changed from Cesar Ordifiana to Joaquin del Cerro Murciano

- Target version changed from 2.0.0-alpha4 to 2.0.0-rc1

Hola Viqui,

por lo que he podido ver en el log, el problema esta en la carga de las capas.

No se han debido de cargar bien y a partir de ahi ha debido de dar errores.

El fichero del proyecto me dice que esta corrupto, que no es un fichero zip, con lo que no he podido abrirlo para ver que capas habia cargadas.

He afadido trazas al log para que nos informe de que capas se cargan y su configuracion, y asi poder tener en proximas ocasiones esta informacion
en el log [gvsig-desktop:r37838].

Da la impresion que algunas de las capas con las que peta son DXF, pero no lo tengo claro, por lo que veo en la captura de pantella tienes muchas
capas.

¢, Si son capas de las que hay en geodata podrias pasarme la ruta a ellas relativa a la carpeta geodata o si no lo son y son de tamarfo aceptable
adjuntarlas al ticket ?

Tambien parece que hay algun problema con un par de capas raster... ¢, cuales serian ?

A ver si puedes pasarme informacion sobre lo que tenias cargado.
Un saludo

Joaquin

#3 - 02/03/2012 11:19 AM - Victoria Agazzi

Buenas,
me pongo a mirar esto a ver si puedo reproducirlo sobre el Ultimo build.
Viqui-.

#4 - 02/03/2012 11:54 AM - Victoria Agazzi

He vuelto a cargar casi todas las capas que tenia originalmente (no recuerdo con exactitud todas las que habia) sobre el build 2043.
Lo he hecho 2 veces en distinto orden (reiniciando gvSIG), y la primera vez he obtenido un error al cargar las capas y al guardar el proyecto; mientras

que la segunda vez no he obtenido error en ninguno de los 2 casos. Muy raro.

Los datos son tochos, no estan en geodata, son datos que tengo en local. Muchas capas vectoriales (shp + dgn) y tiffs + bmp.

Pongo los detalles aqui y adjunto un .zip con pantallazo, log y proyecto.

Intento 1:

- Cargo shp + dgn. Al cargar en el TOC las capas salta consola con error "No event dispatch Thread". El error aparece en el log que adjunto.
- Acepto error, las capas se ven bien y Guardo proyecto. No salta consola al guardar.

- Cargo en un vista algunos dgn grandes, solos. No aparece ningun error.

- Cargo en otra vista las capas raster (2tiffs + bmp)

- Guardo proyecto y salta error. Descripcién del error esta en el pantallazo que adjunto. También sale en el log.

Intento2:

Cargo las mismas capas pero en distinto orden:

- cargo rasters, guardo. No da error.

- cargo dgn, no da error al cargar, tampoco al guardar.
- Cargo shp+dgn, no da error ni al cargar ni al guardar.

Ya me dices si necesitas mas pruebas o datos.

Viqui-.

#5 - 02/03/2012 11:55 AM - Victoria Agazzi
- File error-guardar2043.zip added

Ahora el adjunto.

#6 - 04/07/2012 08:37 PM - Manuel Madrid

- Priority changed from Normal to Urgent

#7 - 06/24/2012 09:53 PM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2050

#8 - 06/24/2012 09:54 PM - Joaquin del Cerro Murciano

- Assignee changed from Joaquin del Cerro Murciano to Juan Lucas Dominguez

- Priority changed from Urgent to Normal
#9 - 06/26/2012 11:59 AM - Juan Lucas Dominguez

- Status changed from New to In progress

#10 - 06/26/2012 12:45 PM - Juan Lucas Dominguez
Los archivos usados (en el ordenador de Viqui) son:
/mnt/data/gvSIG_datos/bmp/puerto_desde_vista.bmp
/mnt/data/gvSIG_datos/tiff/mdt-2_5mts.tif
/mnt/data/gvSIG_datos/tiff/orto_portsaplaya.tif
/mnt/data/gvSIG_datos/870/87031/t87031.dgn

/mnt/data/gvSIG_datos/870/87031/87031comunic.shp

#11 - 06/27/2012 11:10 AM - Juan Lucas Dominguez

- Status changed from In progress to Awaiting response

Es posible que ya no ocurra. Quedamos a la espera de que Viqui lo compruebe con build 2049 o facilite archivos para reproducir el problema (con tros

archivos del mismo formato no ocurria)

#12 - 06/27/2012 01:58 PM - Victoria Agazzi

Hola,

he probado a cargar las 5 capas (sin generar teselas para las rasters), en distintas vistas, salvar proyecto y recuperarlo, y no me ha dado error. Asf

que creo que este ticket se puede cerrar porque no hemos podido reproducirlo.

Al Pedir las Propiedades de una capa .dgn me ha salido un aviso y consola, asi que abriré otro ticket con esa info.

Viqui-.

#13 - 06/27/2012 03:22 PM - Juan Lucas Dominguez

- Status changed from Awaiting response to Fixed

Ok gracias.

#14 - 08/29/2012 02:26 PM - Joaquin del Cerro Murciano
- Status changed from Fixed to Closed

Files
error_save.zip 120 KB 12/23/2011 Anonymous
error-guardar2043.zip 192 KB 02/03/2012 Victoria Agazzi
